Promote a deployment to a new model version or alias
curl --request POST \
--url https://api.example.com/api/models/{model}/deployments/{name}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_version": "<string>",
"new_alias": "<string>",
"package_source": "<string>"
}
'import requests
url = "https://api.example.com/api/models/{model}/deployments/{name}/promote"
payload = {
"new_version": "<string>",
"new_alias": "<string>",
"package_source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_version: '<string>', new_alias: '<string>', package_source: '<string>'})
};
fetch('https://api.example.com/api/models/{model}/deployments/{name}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/models/{model}/deployments/{name}/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'new_version' => '<string>',
'new_alias' => '<string>',
'package_source' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/models/{model}/deployments/{name}/promote"
payload := strings.NewReader("{\n \"new_version\": \"<string>\",\n \"new_alias\": \"<string>\",\n \"package_source\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/models/{model}/deployments/{name}/promote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_version\": \"<string>\",\n \"new_alias\": \"<string>\",\n \"package_source\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/models/{model}/deployments/{name}/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_version\": \"<string>\",\n \"new_alias\": \"<string>\",\n \"package_source\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "batch",
"status": "pending",
"domain": "<string>",
"owner": "<string>",
"model": {
"model_name": "<string>",
"model_version": "<string>",
"model_alias": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_model_version": "<string>",
"dag_id": "<string>",
"dag_s3_uri": "<string>",
"schedule": "<string>",
"last_run": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"airflow_run_id": "<string>",
"status": "queued",
"rows_scored": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"service_url": "<string>",
"replica_count": 123,
"ready_replicas": 123,
"status_detail": "<string>",
"engine": "spark",
"package_source": "<string>",
"allowed_roles": [
"<string>"
],
"error_message": "<string>",
"stopped_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "<string>",
"code": 500
}Deployment
Promote a deployment to a new model version or alias
Re-deploys with the given version or alias, and for pyfunc models optionally another package source. The Portal’s Retry (on a failed deployment) and Start (on a stopped online deployment) are this call with the current version. Archived deployments and stopped batch deployments return 409.
POST
/
api
/
models
/
{model}
/
deployments
/
{name}
/
promote
Promote a deployment to a new model version or alias
curl --request POST \
--url https://api.example.com/api/models/{model}/deployments/{name}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_version": "<string>",
"new_alias": "<string>",
"package_source": "<string>"
}
'import requests
url = "https://api.example.com/api/models/{model}/deployments/{name}/promote"
payload = {
"new_version": "<string>",
"new_alias": "<string>",
"package_source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_version: '<string>', new_alias: '<string>', package_source: '<string>'})
};
fetch('https://api.example.com/api/models/{model}/deployments/{name}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/models/{model}/deployments/{name}/promote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'new_version' => '<string>',
'new_alias' => '<string>',
'package_source' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/models/{model}/deployments/{name}/promote"
payload := strings.NewReader("{\n \"new_version\": \"<string>\",\n \"new_alias\": \"<string>\",\n \"package_source\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/models/{model}/deployments/{name}/promote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"new_version\": \"<string>\",\n \"new_alias\": \"<string>\",\n \"package_source\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/models/{model}/deployments/{name}/promote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"new_version\": \"<string>\",\n \"new_alias\": \"<string>\",\n \"package_source\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "batch",
"status": "pending",
"domain": "<string>",
"owner": "<string>",
"model": {
"model_name": "<string>",
"model_version": "<string>",
"model_alias": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_model_version": "<string>",
"dag_id": "<string>",
"dag_s3_uri": "<string>",
"schedule": "<string>",
"last_run": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"airflow_run_id": "<string>",
"status": "queued",
"rows_scored": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"service_url": "<string>",
"replica_count": 123,
"ready_replicas": 123,
"status_detail": "<string>",
"engine": "spark",
"package_source": "<string>",
"allowed_roles": [
"<string>"
],
"error_message": "<string>",
"stopped_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
Body
application/json
Response
Successful Response
Was this page helpful?

